{ pkgs ? import <nixpkgs> {},
  nightingale-pkgs ? import (fetchTarball "https://github.com/NixOS/nixpkgs/archive/f7949198dcff52265b322ca8abf7450610e7e49e.tar.gz") {}
}:

pkgs.mkShell {
  buildInputs = [
    nightingale-pkgs.docker-compose
    pkgs.nodejs
    pkgs.deno
    pkgs.nodePackages.json
    pkgs.nodePackages.triton
  ];

  shellHook = ''
    eval "$(triton env --triton)"
  '';
}
